Bug 115859 - [patch] emulators/dosbox update to 0.72
Summary: [patch] emulators/dosbox update to 0.72
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-27 12:10 UTC by Alex Kozlov
Modified: 2007-09-19 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.51 KB, patch)
2007-08-27 12:10 UTC, Alex Kozlov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov 2007-08-27 12:10:07 UTC
Update dosbox to 0.72
Makefile optimization.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-08-27 12:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tom Carrick 2007-08-28 09:31:35 UTC
Looks good.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-08-28 13:26:34 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Marcelo Araujo freebsd_committer 2007-08-28 17:43:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 5 araujobsdport 2007-08-29 03:23:15 UTC
Dear Maintainer and Alex Kozlov!

- Why you removed pkg-plist?
With the pkg-plist becomes the port more legible!
- Please respect NOPORTDOCS.
You should maintain NOPORTDOCS equal the current version.

Thanks!

-- 
Marcelo Araujo            (__)
araujo@FreeBSD.org     \\\'',)
http://www.FreeBSD.org   \/  \ ^
Power To Server.         .\. /_)

Comment 6 Alex Kozlov 2007-08-29 09:02:33 UTC
Hi, araujo

> - Why you removed pkg-plist?
> With the pkg-plist becomes the port more legible!
This ports installs only a few files.
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-desc.html#AEN98

>- Please respect NOPORTDOCS.
>You should maintain NOPORTDOCS equal the current version.
Yes. Sorry.
Please remove @${ECHO_CMD} "@dirrm ${DOCSDIR:S,^${PREFIX}/,,}" >> ${TMPPLIST} 
and add just below PLIST:

.if !defined(NOPORTDOCS)
PLIST_DIRS=     %%DOCSDIR%%
.endif 


--
Adios
Comment 7 araujobsdport 2007-08-29 14:14:29 UTC
This is a multi-part message in MIME format.
Comment 8 Alex Kozlov 2007-08-29 16:09:54 UTC
On Wed, Aug 29, 2007 at 10:14:29AM -0300, Marcelo Araujo wrote:
> Alex Kozlov wrote:
> > Yes. Sorry.
> > Please remove @${ECHO_CMD} "@dirrm ${DOCSDIR:S,^${PREFIX}/,,}" >> ${TMPPLIST} 
> > and add just below PLIST:
> >
> > .if !defined(NOPORTDOCS)
> > PLIST_DIRS=     %%DOCSDIR%%
> > .endif 
> 
> I reworked this patch, I'm waiting your approval.
> Tinderbox LOG: http://200.247.114.5/tb/logs/6.2-RELEASE/dosbox-0.72.log
You should get approval from Tom. I just want update dosbox to current
version.

btw, 'USE_GCC= 3.2+' is for 4.x compatability.
If You remove its, you may also remove:
files/patch-src::cpu::core_dyn_x86.cpp
files/patch-src::dos::cdrom_image.cpp


--
Adios
Comment 9 araujobsdport 2007-08-29 17:14:34 UTC
Alex Kozlov wrote:
>  
>  btw, 'USE_GCC= 3.2+' is for 4.x compatability.
>  If You remove its, you may also remove:
>  files/patch-src::cpu::core_dyn_x86.cpp
>  files/patch-src::dos::cdrom_image.cpp
>  
>  
>  --
>  Adios
>
>   

Alex,

You touched in a good point!
Like the 4.X is not more supported, you should remove this patch and
send the diff again!

You can do a new patch?

Thanks.

-- 
Marcelo Araujo            (__)
araujo@FreeBSD.org     \\\'',)
http://www.FreeBSD.org   \/  \ ^
Power To Server.         .\. /_)

Comment 10 Alex Kozlov 2007-08-30 01:55:49 UTC
On Wed, Aug 29, 2007 at 00:14:34PM -0300, Marcelo Araujo wrote:
> Alex Kozlov wrote:
> >  
> >  btw, 'USE_GCC= 3.2+' is for 4.x compatability.
> >  If You remove its, you may also remove:
> >  files/patch-src::cpu::core_dyn_x86.cpp
> >  files/patch-src::dos::cdrom_image.cpp
> >   
> Alex,
> 
> You touched in a good point!
> Like the 4.X is not more supported, you should remove this patch and
> send the diff again!
> 
> You can do a new patch?
> 
> Thanks.
Personally I think that removing 4.x compatibility little to early. But
again, if you get permission from maintainer, I have no problem with it.

I looked at your diff more closely. Why you removed man page?


--
Adios
Comment 11 araujobsdport 2007-08-30 12:03:43 UTC
This is a multi-part message in MIME format.
Comment 12 araujobsdport 2007-08-30 12:20:51 UTC
Marcelo Araujo wrote:
>  Hi Alex,
>  Removing 4.x is not a option, you understand? The 4.x is EOL or unsupport=
>  ed!
>  About MANPAGE, you tested the patch?
>  I did another patch, I removed support of 4.x(EOL) and reworked the
>  Makefile.
>  
>
>   

Ooops,

I forgot to install manpage :)
Fixed, look at: http://people.freebsd.org/~araujo/logs/dosbox.diff

Best Regards.

-- 
Marcelo Araujo            (__)
araujo@FreeBSD.org     \\\'',)
http://www.FreeBSD.org   \/  \ ^
Power To Server.         .\. /_)

Comment 13 Alex Kozlov 2007-08-30 13:51:45 UTC
On Thu, Aug 30, 2007 at 08:03:43AM -0300, Marcelo Araujo wrote:
> Alex Kozlov wrote:
> > On Wed, Aug 29, 2007 at 00:14:34PM -0300, Marcelo Araujo wrote:
> >   
> > Personally I think that removing 4.x compatibility little to early. But
> > again, if you get permission from maintainer, I have no problem with it.
> >
> > I looked at your diff more closely. Why you removed man page?
> >
> Hi Alex,
> Removing 4.x is not a option, you understand? The 4.x is EOL or unsupported!
> About MANPAGE, you tested the patch?
Yes. I can see man only after adding back
MAN1=      dosbox.1
${INSTALL_MAN} ${WRKSRC}/docs/dosbox.1 ${PREFIX}/man/man1/

Also, SEE ALSO manual section specifies in a wrong place
if I not return
@${REINPLACE_CMD} -e 's#\/usr\/share\/doc\/dosbox#${DOCSDIR}#g' \
${WRKSRC}/docs/dosbox.1

> I did another patch, I removed support of 4.x(EOL) and reworked the
> Makefile.


--
Adios
Comment 14 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-09-03 12:58:58 UTC
On Thu, 30 Aug 2007 08:03:43 -0300
Marcelo Araujo <araujobsdport@gmail.com> wrote:

> Alex Kozlov wrote:
> > On Wed, Aug 29, 2007 at 00:14:34PM -0300, Marcelo Araujo wrote:
> >   
> > Personally I think that removing 4.x compatibility little to early.
> > But again, if you get permission from maintainer, I have no problem
> > with it.
> >
> > I looked at your diff more closely. Why you removed man page?
>     
> Removing 4.x is not a option, you understand? The 4.x is EOL or
> unsupported! About MANPAGE, you tested the patch?


It won't matter if you support 4.x inside a port or not since newer
versions of bsd.*.mk won't work. So yes, support for 4.x should be
removed from ports.

You are right about the man page.

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"
Comment 15 dfilter service freebsd_committer 2007-09-19 19:21:47 UTC
araujo      2007-09-19 18:21:39 UTC

  FreeBSD ports repository

  Modified files:
    emulators/dosbox     Makefile distinfo pkg-plist 
  Removed files:
    emulators/dosbox     pkg-message 
    emulators/dosbox/files patch-configure.in 
                           patch-src::cpu::core_dyn_x86.cpp 
                           patch-src::dos::cdrom_image.cpp 
  Log:
  - Update to 0.72.
  - Remove 4.X cruft.
  
  PR:             ports/115859
  Submitted by:   Alex Kozlov <spam@rm-rf.kiev.ua>
  Approved by:    stas (mentor), Tom Carrick <knyght@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.19      +3 -10     ports/emulators/dosbox/Makefile
  1.12      +3 -3      ports/emulators/dosbox/distinfo
  1.3       +0 -10     ports/emulators/dosbox/files/patch-configure.in (dead)
  1.2       +0 -11     ports/emulators/dosbox/files/patch-src::cpu::core_dyn_x86.cpp (dead)
  1.3       +0 -11     ports/emulators/dosbox/files/patch-src::dos::cdrom_image.cpp (dead)
  1.2       +0 -4      ports/emulators/dosbox/pkg-message (dead)
  1.5       +1 -0      ports/emulators/dosbox/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 Marcelo Araujo freebsd_committer 2007-09-19 19:23:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!